Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356573 - fail2ban-0.10.0 is available
Summary: fail2ban-0.10.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fail2ban
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 12:13 UTC by Upstream Release Monitoring
Modified: 2017-11-09 14:30 UTC (History)
8 users (show)

Fixed In Version: fail2ban-0.10.0-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-30 06:46:35 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-07-14 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-07-14 12:13:40 UTC
Latest upstream release: 0.10.0a1
Current version/release in rawhide: 0.9.4-5.fc25
URL: http://www.fail2ban.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6602/

Comment 1 Upstream Release Monitoring 2016-07-14 12:14:32 UTC
Patching or scratch build for fail2ban-0.9.4 failed.

Comment 2 Upstream Release Monitoring 2016-07-14 12:14:35 UTC
Created attachment 1179792 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-07-14 12:14:37 UTC
Patches were not touched. All were applied properly

Comment 4 Dominik 'Rathann' Mierzejewski 2017-03-08 11:20:39 UTC
And it has IPv6 support! Yay!

Comment 5 Trever Adams 2017-09-16 03:13:25 UTC
0.10 final was released in August. Is it possible to see this in Fedora 26 and later?

Comment 6 Fedora Update System 2017-09-21 14:51:13 UTC
fail2ban-0.10.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-af238d8e30

Comment 7 Orion Poplawski 2017-09-21 14:53:15 UTC
Let's let it get tested in F27+ for a bit first.

Comment 8 Fedora Update System 2017-09-21 23:59:41 UTC
fail2ban-0.10.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-af238d8e30

Comment 9 Trever Adams 2017-09-22 17:46:38 UTC
Currently there is for dovecot a line "            ^pam\(\S+,<HOST>\): pam_authenticate\(\) failed: (User not known to the underlying authentication module: \d+ Time\(s\)|Authentication failure \(password mismatch\?\))\s*$"
This does not catch all things (for me nothing), I have to have "            ^pam\(\S+,<HOST>,\S+\): pam_authenticate\(\) failed: Permission denied\s*$" as well.

Beyond that, things seem to be working.

Comment 10 Trever Adams 2017-09-22 17:49:19 UTC
Emails saying the rules are up are having problems in the subject "[Fail2Ban] prosody: started  on <fq-hostname>" (yes, the prosody rule is mine, but it is happening on all rules, not sure why yet). With 0.9x it works.

Comment 11 Orion Poplawski 2017-09-22 17:51:31 UTC
(In reply to Trever Adams from comment #9)
> Currently there is for dovecot a line "            ^pam\(\S+,<HOST>\):
> pam_authenticate\(\) failed: (User not known to the underlying
> authentication module: \d+ Time\(s\)|Authentication failure \(password
> mismatch\?\))\s*$"
> This does not catch all things (for me nothing), I have to have "           
> ^pam\(\S+,<HOST>,\S+\): pam_authenticate\(\) failed: Permission denied\s*$"
> as well.

This should be reported upstream - https://github.com/fail2ban/fail2ban/issues

Comment 12 Orion Poplawski 2017-09-22 17:52:30 UTC
(In reply to Trever Adams from comment #10)
> Emails saying the rules are up are having problems in the subject
> "[Fail2Ban] prosody: started  on <fq-hostname>" (yes, the prosody rule is
> mine, but it is happening on all rules, not sure why yet). With 0.9x it
> works.

Presumably /var/log/fail2ban.log should have more information.

Comment 13 Trever Adams 2017-09-22 17:58:34 UTC
Both have been reported upstream.

Comment 14 Fedora Update System 2017-09-30 06:46:35 UTC
fail2ban-0.10.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Trever Adams 2017-10-02 18:52:09 UTC
Please see https://github.com/fail2ban/fail2ban/issues/1859 for information on fixing one of the two bugs this version introduces. It was fixed before I reported it, but not in Fedora.

Comment 16 JM 2017-11-09 14:30:26 UTC
Is there a chance to see fail2ban 0.10 for Fedora 25 or 26?


Note You need to log in before you can comment on or make changes to this bug.